#include "SpvVirTrig.h"

SpvVirTrig::SpvVirTrig(){
}

SpvVirTrig::SpvVirTrig(string TrigName)
{
	Init(TrigName);
}

bool SpvVirTrig::Init(string TrigName)
{
	m_TrigCnt	= 0;
	m_TrigName	= TrigName;
	SpvVirSig::Init(m_TrigName);

	return true;
}

 
void SpvVirTrig::Trigger(){
	CheckVal();
}

unsigned SpvVirTrig::Eval()
{
	return ++m_TrigCnt;
}

unsigned SpvVirCover::EventValue()
{
	return m_CurrVal;
}

SpvVirCover::SpvVirCover(unsigned initialVal, unsigned from, unsigned to)
{
	SpvVirCover::Init(initialVal, from, to);
}

void SpvVirCover::Init(unsigned initialVal, unsigned from, unsigned to)
{
	m_CurrVal = initialVal;
	CoverItem::Init(from,to);
}
	
void SpvVirCover::SetVal(unsigned currVal)
{
	m_CurrVal = currVal;
}

