#if !defined(SPV_VIRTUAL_TRIGGER_)
#define SPV_VIRTUAL_TRIGGER_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CommonDefs.h"

class SpvVirTrig : public SpvVirSig
{
private:
    string				m_TrigName;

	unsigned			m_TrigCnt;

protected:
	virtual unsigned	Eval();

public:
	SpvVirTrig();

    SpvVirTrig(string TrigName);

	bool				Init(string TrigName);

	void				Trigger();

};

class SpvVirCover : public CoverItem
{
private:
	unsigned		m_CurrVal;

protected:

	virtual unsigned	EventValue();

public:
	SpvVirCover(unsigned initialVal = 0, unsigned from = 0,unsigned to = 0);

	void				Init(unsigned initialVal = 0, unsigned from = 0,unsigned to = 0);
	
	void				SetVal(unsigned currVal);
};

#endif