#include "FcavPacket.h"

FcavPacketStruct::FcavPacketStruct()
{
	m_ContainerHdr.MakePhysical(this);
	m_DataHdr.MakePhysical(this);
	m_Data.MakePhysical(this);
}

FcavPacketGenerator::FcavPacketGenerator(ExtPacketData *packetData) :
	m_ContainerHdrGenerator(packetData),
	m_DataHdrGenerator(packetData),
	m_DataGenerator(packetData)
{
	m_PacketData = packetData;
	InitKeepConstrains();
}

void FcavPacketGenerator::InitKeepConstrains()
{
	KeepNestedPacket(m_ContainerHdr,	&m_ContainerHdrGenerator,	"FcavContainerHeader");
	KeepNestedPacket(m_DataHdr,			&m_DataHdrGenerator,		"FcavDataHeader");
	KeepNestedPacket(m_Data,			&m_DataGenerator,			"FcavData");
}
