library verilog;
use verilog.vl_types.all;
entity FcavPacket is
    generic(
        WIDTH           : integer := 8;
        DEPTH           : integer := 16
    );
    port(
        clock           : in     vl_logic;
        reset_n         : in     vl_logic;
        data_in         : in     vl_logic_vector;
        data_in_valid   : in     vl_logic;
        frame_pulse_in  : in     vl_logic;
        data_out        : out    vl_logic_vector;
        data_out_valid  : out    vl_logic;
        frame_pulse_out : out    vl_logic
    );
end FcavPacket;
