// FcavPacketTb.cpp: implementation of the FcavPacketTb class.
//
//////////////////////////////////////////////////////////////////////
#include "FcavPacketTb.h"
#include "FcavPacketDriver.h"
#include "FcavPacketCol.h"
#include <SpvHfile.h>
#include <SpvPlugin.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FcavPacketTb::FcavPacketTb()
{
	m_Driver	= new FcavPacketDriver;
	m_Col		= new FcavPacketCol;
	m_Cov		= new SpvCoverage;
}

FcavPacketTb::~FcavPacketTb()
{

}

void FcavPacketTb::Start()
{
	string startMsg = "ERROR";
	SD::GetStr(startMsg,"S_START_MSG");
	SPV_OUT(<<endl<<startMsg<<", On Time:"<< SpvSig::time<<endl);
	m_Driver->Start();
	m_Col->Start();
}
