// NamedObject.h: interface for the NamedObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NAMEDOBJECT_H__E9709EA0_A9A1_4D7B_B8FE_029E0712E0BB__INCLUDED_)
#define AFX_NAMEDOBJECT_H__E9709EA0_A9A1_4D7B_B8FE_029E0712E0BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CommonInterfaces.h"
#include <string>

class NamedObject : public virtual INamedObject  
{
private:
	std::string m_Name;

public:
	NamedObject();
	virtual ~NamedObject();

	virtual void SetName(const std::string& name); 
	virtual const std::string& GetName() const; 
};

#endif // !defined(AFX_NAMEDOBJECT_H__E9709EA0_A9A1_4D7B_B8FE_029E0712E0BB__INCLUDED_)
