#if !defined(SIG_SLICE_)
#define SIG_SLICE_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CommonDefs.h"

class SigSlice : public SpvVirSig
{
private:
    unsigned m_From;
    unsigned m_To;
    string   m_SigName;
    SpvSig   *m_Sig;

public:
	SigSlice();

    SigSlice(string sigName, unsigned from, unsigned to);

	bool Init(string sigName, unsigned from, unsigned to);

	virtual unsigned Eval();

};

#endif