#include "SpvNullSim.h"
#include "sim_Top.h"


top::top(SpvModule *father,string name) :
	SpvModule(father,name),
	clk(FullPath() + ".clk"),
	sig1(FullPath() + ".sig1"),
	sig2(FullPath() + ".sig2"),
	SpvSimDeltaT(50)
{
}
	
void top::SpvOnDelta()
{
	clk = ~clk;
}
	
void top::OnInitSim()
{
	SpvNullSim::SetSigSize(clk,1);
	SpvNullSim::SetSigSize(sig1,8);
	SpvNullSim::SetSigSize(sig2,8);
}

void top::OnInitial()
{
	clk = 0;
}


